Package tigase.eventbus

## Class RegistrationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - tigase.eventbus.RegistrationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RegistrationException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegistrationException()` |
    `RegistrationException​(java.lang.String message)` |
    `RegistrationException​(java.lang.String message, java.lang.Throwable cause)` |
    `RegistrationException​(java.lang.String message, java.lang.Throwable cause, boolean enableSuppression, boolean writableStackTrace)` |
    `RegistrationException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistrationException

          public RegistrationException()

    - #### RegistrationException

          public RegistrationException​(java.lang.String message)

    - #### RegistrationException

          public RegistrationException​(java.lang.String message,
                                       java.lang.Throwable cause)

    - #### RegistrationException

          public RegistrationException​(java.lang.Throwable cause)

    - #### RegistrationException

          public RegistrationException​(java.lang.String message,
                                       java.lang.Throwable cause,
                                       boolean enableSuppression,
                                       boolean writableStackTrace)